public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-libs/tox/
Date: Fri,  7 Jan 2022 05:14:56 +0000 (UTC)	[thread overview]
Message-ID: <1641531977.f507f98aca30fe012a14ee6060a9001766aae94a.sam@gentoo> (raw)

commit:     f507f98aca30fe012a14ee6060a9001766aae94a
Author:     Josiah Mullins <JoMull01 <AT> protonmail <DOT> com>
AuthorDate: Tue Dec 21 21:22:45 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Jan  7 05:06:17 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f507f98a

net-libs/tox: Bump to version 0.2.13.

Signed-off-by: Josiah Mullins <JoMull01 <AT> protonmail.com>
Bug: https://bugs.gentoo.org/829650
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-libs/tox/Manifest          |   1 +
 net-libs/tox/tox-0.2.13.ebuild | 114 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 115 insertions(+)

diff --git a/net-libs/tox/Manifest b/net-libs/tox/Manifest
index e976a4f2d42d..e5f406e55e51 100644
--- a/net-libs/tox/Manifest
+++ b/net-libs/tox/Manifest
@@ -1 +1,2 @@
 DIST c-toxcore-0.2.12.tar.gz 504832 BLAKE2B 625713142cc1e4b6583879144c05d47a40a1d98031a8a2bf0deec85a199f816a0ff6df5c76e9487a526d7c1c1650b37a10ed81be8233eaa1395707851378474f SHA512 c22f139cfff3a5aedf5fb08c33cae0dae3d6fbceec87867c81290e3bf9d2e13466a0e2bad8378a7a7ba1e9b7b9ad756712963461ae248102e4cab7d4691228d8
+DIST c-toxcore-0.2.13.tar.gz 511533 BLAKE2B 8c68180710e3d06eaaef9fc05dc0ff2492907586934d1d6f57f147e07bb78b262f78b0057911e4b5cd27d2d1efb51cb714f757b90caa269988e604cafa62cd00 SHA512 f4ed9ea4afb7f9c14a5afd949f3a52e7880838c910acaf5adc39acb09ad574406be08f43b76a9fbdd4fc4bd14f0d73212dc7bd10783565055c910c6c3e5e357a

diff --git a/net-libs/tox/tox-0.2.13.ebuild b/net-libs/tox/tox-0.2.13.ebuild
new file mode 100644
index 000000000000..e05b2ca9cd78
--- /dev/null
+++ b/net-libs/tox/tox-0.2.13.ebuild
@@ -0,0 +1,114 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake systemd
+
+MY_P="c-toxcore-${PV}"
+DESCRIPTION="Encrypted P2P, messaging, and audio/video calling platform"
+HOMEPAGE="https://tox.chat https://github.com/TokTok/c-toxcore"
+SRC_URI="https://github.com/TokTok/c-toxcore/archive/v${PV}.tar.gz -> ${MY_P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0/0.2"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+av daemon dht-node ipv6 log-debug +log-error log-info log-trace log-warn test"
+
+REQUIRED_USE="?? ( log-debug log-error log-info log-trace log-warn )
+		daemon? ( dht-node )"
+RESTRICT="!test? ( test )"
+
+BDEPEND="virtual/pkgconfig"
+DEPEND="
+	dev-libs/libsodium:=[asm,urandom,-minimal]
+	av? (
+		media-libs/libvpx:=
+		media-libs/opus
+	)
+	daemon? ( dev-libs/libconfig:= )"
+RDEPEND="
+	${DEPEND}
+	daemon? (
+		acct-group/tox
+		acct-user/tox
+	)"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+	cmake_src_prepare
+
+	#Remove faulty tests
+	for testname in lan_discovery save_compatibility set_status_message; do
+		sed -i -e "/^auto_test(${testname})$/d" CMakeLists.txt || die
+	done
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DAUTOTEST=$(usex test ON OFF)
+		-DBOOTSTRAP_DAEMON=$(usex daemon ON OFF)
+		-DBUILD_MISC_TESTS=$(usex test ON OFF)
+		-DBUILD_TOXAV=$(usex av ON OFF)
+		-DDHT_BOOTSTRAP=$(usex dht-node ON OFF)
+		-DENABLE_SHARED=ON
+		-DENABLE_STATIC=OFF
+		-DMUST_BUILD_TOXAV=$(usex av ON OFF)
+	)
+
+	if use test; then
+		mycmakeargs+=(
+			-DTEST_TIMEOUT_SECONDS=150
+			-DUSE_IPV6=$(usex ipv6 ON OFF)
+		)
+	else
+		mycmakeargs+=(-DUSE_IPV6=OFF)
+	fi
+
+	if use log-trace; then
+		mycmakeargs+=(-DMIN_LOGGER_LEVEL="TRACE")
+	elif use log-debug; then
+		mycmakeargs+=(-DMIN_LOGGER_LEVEL="DEBUG")
+	elif use log-info; then
+		mycmakeargs+=(-DMIN_LOGGER_LEVEL="INFO")
+	elif use log-warn; then
+		mycmakeargs+=(-DMIN_LOGGER_LEVEL="WARNING")
+	elif use log-error; then
+		mycmakeargs+=(-DMIN_LOGGER_LEVEL="ERROR")
+	else
+		mycmakeargs+=(-DMIN_LOGGER_LEVEL="")
+		einfo "Logging disabled"
+	fi
+
+	cmake_src_configure
+}
+
+src_test() {
+	cmake_src_test -j1
+}
+
+src_install() {
+	cmake_src_install
+
+	if use daemon; then
+		newinitd "${FILESDIR}"/initd tox-dht-daemon
+		newconfd "${FILESDIR}"/confd tox-dht-daemon
+		insinto /etc
+		doins "${FILESDIR}"/tox-bootstrapd.conf
+		systemd_dounit "${FILESDIR}"/tox-bootstrapd.service
+	fi
+}
+
+pkg_postinst() {
+	if use dht-node; then
+		ewarn "The QA notice regarding libmisc_tools.so is known by the upstream"
+		ewarn "developers and is on their TODO list. For more information,"
+		ewarn "please see 'https://github.com/toktok/c-toxcore/issues/1144'"
+		ewarn ""
+		ewarn "There is currently an unresolved issue with tox DHT Bootstrap node"
+		ewarn "that causes the program to be built with a null library reference."
+		ewarn "This causes an infinite loop for certain revdep-rebuild commands."
+		ewarn "If you aren't running a node, please consider disabling the dht-node use flag."
+	fi
+}


             reply	other threads:[~2022-01-07  5:15 UTC|newest]

Thread overview: 65+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-01-07  5:14 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-28 16:48 [gentoo-commits] repo/gentoo:master commit in: net-libs/tox/ Sam James
2025-04-28 14:01 Sam James
2025-01-25 20:47 Jimi Huotari
2025-01-25 20:47 Jimi Huotari
2024-11-14  1:49 Sam James
2024-11-14  0:36 Sam James
2024-07-30 19:09 Pacho Ramos
2024-01-16  7:59 Sam James
2024-01-16  7:59 Sam James
2024-01-16  7:59 Sam James
2023-02-07 11:16 Marek Szuba
2022-07-19 18:29 Sam James
2022-06-16 19:33 Sam James
2022-06-16 16:32 Sam James
2022-06-16 16:32 Sam James
2022-06-16 16:32 Sam James
2022-02-21  9:43 Jakov Smolić
2022-02-21  9:43 Jakov Smolić
2022-01-07  5:14 Sam James
2022-01-07  5:14 Sam James
2021-05-14  9:36 Agostino Sarubbo
2021-05-14  9:30 Agostino Sarubbo
2021-01-02  1:43 Sam James
2021-01-02  0:35 Sam James
2020-09-04 20:57 Sam James
2020-09-04 20:53 Sam James
2020-09-04 20:53 Sam James
2020-09-04 20:53 Sam James
2020-07-05 13:44 Agostino Sarubbo
2020-07-02  6:25 Agostino Sarubbo
2020-06-08  7:46 Joonas Niilola
2020-06-08  7:46 Joonas Niilola
2020-04-26 15:29 Agostino Sarubbo
2020-04-26 14:16 Agostino Sarubbo
2020-03-28 14:21 Joonas Niilola
2020-03-28 14:21 Joonas Niilola
2020-01-13  6:10 Joonas Niilola
2020-01-13  6:10 Joonas Niilola
2020-01-04 10:26 Agostino Sarubbo
2020-01-03 12:00 Agostino Sarubbo
2019-11-04  6:23 Joonas Niilola
2019-11-04  6:23 Joonas Niilola
2019-05-26  9:43 Michał Górny
2019-04-21 21:31 Michał Górny
2018-12-22 11:43 Andreas Sturmlechner
2018-10-27  8:03 Michał Górny
2018-10-22 20:21 Michał Górny
2018-08-12 16:58 Michał Górny
2018-07-19 19:51 Jonas Stein
2017-08-18 22:13 Michał Górny
2017-08-18 22:13 Michał Górny
2017-07-30  9:45 Michał Górny
2017-01-29 17:07 Göktürk Yüksek
2017-01-16  3:33 Göktürk Yüksek
2016-12-28  0:18 Patrice Clement
2016-12-19 20:17 Michał Górny
2016-12-19 20:17 Michał Górny
2016-12-10 10:43 Michał Górny
2016-12-06 18:28 Göktürk Yüksek
2016-12-05 22:48 Patrice Clement
2016-09-21 21:58 Göktürk Yüksek
2016-09-21 21:58 Göktürk Yüksek
2016-06-15 14:21 Amy Winston
2016-02-06 11:42 Patrice Clement

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1641531977.f507f98aca30fe012a14ee6060a9001766aae94a.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox